<odoo>
    <record id="helpdesk_category_inherited" model="ir.ui.view">
        <field name="name">helpdesk.category.inherited</field>
        <field name="model">helpdesk.support</field>
        <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_form_view"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='category']" position="replace">
                <field name="ticket_category"/>
            </xpath>
<!--            <xpath expr="//field[@name='category']" position="attributes">-->
<!--                <attribute name="invisible">True</attribute>-->
<!--            </xpath>-->
        </field>
    </record>


    <record id="helpdesk_stage_inherited" model="ir.ui.view">
        <field name="name">helpdesk.stage.inherited</field>
        <field name="model">helpdesk.stage.config</field>
        <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_team_stage_form"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='fold']" position="after">
                <field name="ticket_cat_ids" widget="many2many_tags"/>
            </xpath>
        </field>
    </record>


    <record id="ticket_category_tree" model="ir.ui.view">
        <field name="name">ticket.category.tree</field>
        <field name="model">ticket.category</field>
        <field name="arch" type="xml">
            <tree>
                <field name="name"/>
                <field name="kanban_template_title"/>
                <field name="is_created"/>
            </tree>
        </field>
    </record>

    <record id="ticket_category_form" model="ir.ui.view">
        <field name="name">ticket.category_form</field>
        <field name="model">ticket.category</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <group>
                        <field name="name"/>
                        <field name="kanban_template_title" attrs="{'readonly': [('is_created','=',True)]}" force_save="1"/>
                        <field name="is_created" invisible="1"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>
    <record id="ticket_category_action" model="ir.actions.act_window">
        <field name="name">Ticket Category</field>
        <field name="res_model">ticket.category</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form</field>
    </record>

    <record id="helpdesk_support_action" model="ir.actions.act_window">
            <field name="name">Helpdesk Tickets</field>
            <field name="res_model">helpdesk.support</field>
            <field name="view_type">form</field>
            <field name="view_mode">kanban,tree,calendar,form,pivot,graph,activity</field>
            <field name="context">{
                'search_default_ticket_category': [active_id],
                'default_ticket_category': active_id,
            }</field>

            <field name="help">Helpdesk Support Tree.</field>
        </record>



        <record id="helpdesk_support_search_view_inherited" model="ir.ui.view">
            <field name="name">Helpdesk.searched.view.inherited</field>
            <field name="model">helpdesk.support</field>
            <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_search_view"/>
              <field name="arch" type="xml">
                <xpath expr="//search" position="inside">
                  <field name="ticket_category"/>
                </xpath>
            </field>
        </record>


    <!--category......................-->
    <record model="ir.ui.view" id="helpdesk_support_form_view_category">
            <field name="name">Helpdesk form category</field>
            <field name="model">helpdesk.support</field>
            <field name="arch" type="xml">
                <form>
                    <header>
<!--                        <field name="state" widget="statusbar" clickable="True"-->
<!--                            options="{'fold_field': 'fold'}"/>-->
                            <field name="stage_id" widget="statusbar" clickable="True"
                            options="{'fold_field': 'fold'}"
                               domain="[('ticket_cat_ids', '=', ticket_category)]"
                            attrs="{'invisible': [('active', '=', False)]}"/>
                            <field name="stage_type" invisible="1"/>
<!--                            <button name="action_create_invoice" string="Create Invoice" groups="website_helpdesk_support_ticket.group_helpdesk_manager" type="object" class="oe_highlight" attrs="{'invisible': [('stage_type', '=','closed')]}"/>-->
<!--                            <button name="action_create_task" string="Create Task" groups="website_helpdesk_support_ticket.group_helpdesk_manager" type="object" class="oe_highlight" attrs="{'invisible': [('stage_type', '=','closed')]}"/>-->
                        <button name="set_to_close" string="Set To Close" attrs="{'invisible':[('is_close','=',True)]}" groups="website_helpdesk_support_ticket.group_helpdesk_manager" type="object" class="oe_highlight"/>
                        <button name="set_to_reopen" string="Re Open" attrs="{'invisible':[('is_close','=',False)]}" groups="website_helpdesk_support_ticket.group_helpdesk_manager" type="object" class="oe_highlight"/>
                        <button name="%(helpdesk_support_ticket_reassign.helpdesk_support_reassign_action)d"
                            string="Reassign Ticket" type="action" class="oe_highlight" attrs="{'invisible':[('is_close','=',True)]}"
                            groups="website_helpdesk_support_ticket.group_helpdesk_manager"
                    />
                         <button name="%(helpdesk_support_ticket_maintenance.helpdesk_maintenance_request_action)d"
                            string="Create Maintenance Request" type="action" class="oe_highlight" attrs="{'invisible':[('is_close','=',True)]}"
                            groups="website_helpdesk_support_ticket.group_helpdesk_user"
                    />
                        <button name="%(helpdesk_ticket_lock_system.action_lock_support_ticket)d" string="Lock Ticket" type="action" attrs="{'invisible':[('is_helpdesk_locked','=',True)]}" groups="website_helpdesk_support_ticket.group_helpdesk_user"/>
                    <button name="helpdesk_ticket_lock_system.action_unlock_ticket" string="Unlock Ticket" type="object" attrs="{'invisible':[('is_helpdesk_locked','=',False)]}" groups="website_helpdesk_support_ticket.group_helpdesk_user"/>
                    </header>
                    <sheet>
                        <div class="oe_title">
                        <div class="oe_title">
                            <h4 style="color:black;align=center;background-color:#C9FFE5" colspan="3" attrs="{'invisible':[('is_helpdesk_locked','=',False)]}">This ticket has been locked by <field name="locked_user_id"/>
                                <hr style="height:3px;border:none;color:green;background-color:red;"></hr>
                            </h4>
                        </div>
                    </div>
                    <div class="oe_button_box" name="button_box">
                        <button name="toggle_active" type="object" class="oe_stat_button" icon="fa-archive">
                            <field name="active" widget="boolean_button" options='{"terminology": "archive"}'/>
                        </button>
                        <button class="oe_stat_button"
                                type="object"
                                name="action_create_invoice"
                                string="Create Invoice"
                                icon="fa-pencil-square-o"
                                groups="website_helpdesk_support_ticket.group_helpdesk_manager"
                                style="background-color: #32CD32;"
                        />
<!--                        <button class="oe_stat_button"-->
<!--                                 type="object" -->
<!--                                 name="action_create_task" -->
<!--                                 string="Create Task" -->
<!--                                 icon="fa-pencil-square-o" -->
<!--                                 groups="website_helpdesk_support_ticket.group_helpdesk_manager"/>-->
                         <button class="oe_stat_button"
                                 type="object"
                                 name="action_create_task"
                                 string="Create Task"
                                 icon="fa-pencil-square-o"
                                 groups="website_helpdesk_support_ticket.group_helpdesk_manager"
                                 attrs="{'invisible': [('stage_type', '=','closed')]}"
                                 style="background-color: #32CD32;"/>
                        <button class="oe_stat_button" type="object"
                                name="show_task" string="Tasks" icon="fa-pencil-square"
                                attrs="{'invisible': [('is_task_created', '=',False)]}"/>
                        <button class="oe_stat_button" type="object" name="show_invoice"
                                attrs="{'invisible':[('is_invoice_created','=',False)]}" string="Invoice"
                                icon="fa-fa-briefcase"/>
                        <button class="oe_stat_button" type="object"
                                name="show_analytic_account" string="Analytic Account" icon="fa-book" groups="analytic.group_analytic_accounting"
                                attrs="{'invisible': [('analytic_account_id', '=',False)]}"/>
                        <button name="show_secondry_ticket" type="object" string="Secondry Tickets" icon="fa-pencil-square-o" class="oe_stat_button" attrs="{'invisible' : [('is_secondry','!=',True)]}"/>
                        <button class="oe_stat_button" icon="fa-money" type="object" name="open_expense_view" attrs="{'invisible': [('expense_count', '=', 0)]}">
							<field name="expense_count" widget="statinfo" string="Expenses"/>
						</button>
                        <button class="oe_stat_button" name="helpdesk_support_ticket_maintenance.action_view_maintenance_request" attrs="{'invisible':[('maintenance_request_count','=',0)]}" type="object" icon="fa-truck">
                        <field string="Maintenance Request" name="maintenance_request_count" widget="statinfo"/>
                    </button>
                    <button name="%(helpdesk_ticket_knowledge_base.action_helpdesk_post_question_wizard)d"
                        string="Post Q&amp;A" type="action"
                        class="oe_stat_button" icon="fa-archive"/>
                    <button name="%(helpdesk_ticket_knowledge_base.action_helpdesk_search_question_wizard)d"
                        string="Search Q&amp;A" type="action"
                        class="oe_stat_button" icon="fa-search"/>

                    </div>
                    <div class="oe_title">
                        <div class="oe_title">
                        <h1>
                            <field name="name" readonly="1"/><br/>
                            <field name="subject" readonly="0"  attrs="{'readonly': [('stage_type', '=', 'closed')]}"  placeholder="Helpdesk Support Subject"/>
                            <field name="is_invoice_created" invisible="1"/>
                            <field name="is_task_created" invisible="1"/>
                        </h1>
                    </div>
                    </div>
                            <group>
                                <group>
                                    <field name="type_ticket_id"  attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="subject_type_id"  attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="user_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="email" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="company_id"/>
                                    <field name="custom_project_task_ids"
                                    widget='many2many_tags'
                                    readonly='True'/>
                                </group>
                                <group>
                                    <field name="partner_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="phone" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="allow_user_ids" widget="many2many_tags" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                    <field name="product_id"/>
                                    <field name="environment"/>
                                    <field name="version"/>
                                </group>
                             </group>

                        <group>
<!--                            <group>-->
<!--                                <field name="team_id"/>-->
<!--                                <field name="project_id" filter_domain = "[('partner_id', 'child_of', [partner.commercial_partner_id.id])]"/>-->
<!--                                <field name="department_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>-->
<!--                            </group>-->

                            <group>
<!--                                <field name="team_leader_id"/>-->
<!--                                <field name="analytic_account_id" groups="analytic.group_analytic_accounting"/>-->
<!--                                <field name="priority" />-->

                                <field name="team_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="project_id" filter_domain = "[('partner_id', 'child_of', [partner.commercial_partner_id.id])]" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="department_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="sale_order_id" domain="[('analytic_account_id','=','analytic_account_id.id')]"/>
                                <field name="purchase_id"/>
                            </group>

                            <group>
                                <field name="team_leader_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="analytic_account_id" attrs="{'readonly': [('stage_type', '=', 'closed')]}" groups="analytic.group_analytic_accounting"/>
                                 <field name="customer_billing_type"/>
                                 <field name="service_support_type_id"/>
                                 <field name="custom_currency_id"/>
                                <field name="priority" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="category" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                            </group>
                        </group>
                    <group>
                        <group>
                            <field name="request_date" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                            <field name="is_close" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                            <field name="is_secondry" invisible="True"/>
                        </group>
                        <group>
<!--                            <field name="close_date"/>-->
<!--                            <field name="total_spend_hours" widget="float_time"/>-->
                                <field name="close_date" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="total_spend_hours" widget="float_time" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="timesheet_cost_amount" widget="monetary"  options="{'currency_field': 'custom_currency_id'}"/>
                                <p style="color:grey;" colspan="3">To view current status of Customer Prepaid/Postpaid Support Hours/Package please click Analytic Account Button.</p>
                                <field name="total_consumed_hours" widget="float_time" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="total_purchase_hours" widget="float_time" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="remaining_hours" widget="float_time" attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                                <field name="ticket_origin" invisible="1"/>
                        </group>
                    </group>
                        <notebook>
                        <page name="description" string="Description">
                            <field name="description" placeholder="Add an internal note..." attrs="{'readonly': [('stage_type', '=', 'closed')]}"/>
                        </page>
                            <page name="ticket solution" string="Solution">
                        <field name="ticket_solution" widget="html"/>
                        <group>
                            <group>
                                <field name="image1" widget="image"  class="oe_avatar"/>
                                <field name="image2" widget="image" class="oe_avatar"/>
                                <field name="image3" widget="image" class="oe_avatar"/>
                                <field name="image4" widget="image" class="oe_avatar"/>
                                <field name="image5" widget="image" class="oe_avatar"/>
                            </group>
                            <group>
                            </group>
                        </group>
                    </page>
                        <page name="timesheets" string="Timesheets" groups="base.group_user">
                            <field name="timesheet_line_ids" context = "{'default_account_id' :analytic_account_id}" nolabel="1">

                            <field name="timesheet_line_ids" attrs="{'readonly': [('stage_type', '=', 'closed')]}" context = "{'default_account_id':analytic_account_id,'default_customer_billing_type':customer_billing_type,'default_service_support_type_id':service_support_type_id}" nolabel="1"/>
                                <tree editable="bottom">
                                    <field name="date"/>
                                    <field name="user_id" invisible="1"/>
                                    <field name="account_id" invisible="1"/>
                                    <field name="project_id" required="1"/>
                                    <field name="task_id" />
<!--                                    <field name="support_request_id"/-->
                                    <field name="name"/>
                                    <field name="billable"/>
                                     <field name="date_start" required="1"/>
                                    <field name="date_stop" required="1"/>
                                    <field name="service_support_type_id"/>

                                    <field name="unit_amount" widget="float_time" string="Hours" sum="Hours"/>
<!--                                    <field invisible="1" name="user_id" required="1"/-->
                                </tree>
                            </field>
                        </page>
                        <page name="invoice_line" string="Add Invoice Lines" >
                            <field name="invoice_line_ids" context = "{'default_analytic_account_id' :analytic_account_id}" nolabel="1" groups="website_helpdesk_support_ticket.group_helpdesk_manager">

                            <field name="invoice_line_ids" attrs="{'readonly': [('stage_type', '=', 'closed')]}" context = "{'default_analytic_account_id' :analytic_account_id}" nolabel="1" groups="website_helpdesk_support_ticket.group_helpdesk_manager"/>
                                <tree editable="bottom">
                                    <field name="product_id"/>
                                    <field name="name"/>
                                    <field name="quantity"/>
                                    <field name="price_unit"/>
                                    <field name="product_uom"/>
                                    <field name="analytic_account_id" options="{'no_open': True, 'no_create': True}" groups="analytic.group_analytic_accounting"/>
                                    <field name="is_invoice"/>
                                </tree>
                            </field>
                        </page>
                        <page name="general_information" string="General Information">
                            <group>
                                <group>
<!--                                    <field name="invoice_id" attrs="{'readonly': [('is_invoice_created', '=',True)]}"/>-->
                                    <field name="invoice_id" attrs="{'readonly': ['|' ,('stage_type', '=', 'closed'),('is_invoice_created', '=',True)]}"/>
                                     <field name="primary_ticket_id" attrs="{'invisible' : [('is_secondry','!=',True)]}"/>
                                    <field name="merge_reason" attrs="{'invisible' : [('is_secondry','!=',True)]}"/>
                                    <field name="task_id" invisible="1"/>
<!--                                    <field name="journal_id" attrs="{'readonly': [('is_invoice_created', '=',True)]}"/>-->

                                    <field name="journal_id" attrs="{'readonly': ['|' ,('stage_type', '=', 'closed'), ('is_invoice_created', '=',True)]}"/>
<!--                                    <field name="task_id"/>-->
                                     <field name="maintenance_id"/>
                                    <field name="is_lead" invisible="1"/>
                                    <!--<group>-->
                                    <field name="lead_user_id" attrs="{'invisible':[('is_lead','=',False)]}"/>
                                    <field name="lead_id" attrs="{'invisible':[('is_lead','=',False)]}"/>
                                <!--</group>-->

                                </group>
                             </group>
                        </page>
                        <page name="customer_rating" string="Customer Rating">
                            <group>
                                <group>
                                    <field name="rating" widget="radio"/>
                                    <field name="comment"/>
                                </group>
                             </group>
                        </page>
                         <page string="Lock Information" name="lock_information">
                        <group>
                            <group name="lock_ticket">
                                <field name="is_helpdesk_locked"/>
                                <field name="locked_user_id"/>
                                <field name="unlock_user_id"/>
                            </group>
                            <group name="lock_ticket_date">
                                <field name="lock_start_date"/>
                                <field name="lock_end_date"/>
                            </group>
                        </group>
                    </page>
                    <page string="Knowledse Base Q&amp;A">
                        <field name="ticket_faq_ids"/>
                    </page>
                    </notebook>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers" groups="base.group_user" attrs="{'readonly': [('is_helpdesk_locked', '=', 1)]}"/>
                        <field name="message_ids" widget="mail_thread"/>
                        <field name="activity_ids" widget="mail_activity"/>
                    </div>
                </form>
            </field>
        </record>


    <record id="create_helpdesk_stage_simplified_full_category" model="ir.actions.act_window">
            <field name="name">Create an Helpdesk Support category</field>
            <field name="res_model">helpdesk.support</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="crm_custom.helpdesk_support_form_view_category"/>
            <field name="target">new</field>
        </record>


        <record id='helpdesk_view_kanban_category' model='ir.ui.view'>
            <field name="name">helpesk category kanban</field>
            <field name="model">helpdesk.support</field>
            <field name="arch" type="xml">
                <kanban default_group_by="stage_id" class="o_kanban_small_column o_opportunity_kanban" on_create="crm_custom.create_helpdesk_stage_simplified_full_category">
                    <field name="stage_id" options='{"group_by_tooltip": {"requirements": "Description", "legend_priority": "Use of stars"}}'/>
                    <field name="color"/>
                    <field name="priority"/>
                    <field name="planned_revenue"/>
                    <field name="kanban_state"/>
                    <field name="date_action"/>
                    <field name="name" />
                    <field name="subject"/>
                     <field name="partner_id"/>
                     <field name="email"/>
                     <field name="phone"/>
                     <field name="active"/>
                     <field name="category"/>
                     <field name="message_needaction_counter"/>
                     <field name="priority"/>
                     <field name="lead_id"/>
                <field name="is_lead"/>
                <field name="lead_user_id"/>
                <field name="company_id"/>
                <field name="partner_id"/>
                <field name="team_id"/>
                     <templates>
                        <t t-name="kanban-box">
                            <div t-attf-class="#{kanban_color(record.color.raw_value)} oe_kanban_global_click">
                                <div class="o_dropdown_kanban dropdown">
                                    <a class="dropdown-toggle btn" data-toggle="dropdown" href="#" role='button'>
                                        <span class="fa fa-bars fa-lg"/>
                                    </a>
                                    <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                                        <t t-if="widget.editable"><li><a type="edit">Edit</a></li></t>
                                        <t t-if="widget.deletable"><li><a type="delete">Delete</a></li></t>
                                        <li t-if="! record.active.value"><a name="action_set_active" type="object">Unarchive</a></li>
                                        <li t-if="record.active.value"><a name="action_set_unactive" type="object">Archive</a></li>
                                        <li><ul class="oe_kanban_colorpicker" data-field="color"/></li>
                                    </ul>
                                </div>
                                <div name="div_1" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Helpdesk', 'CRM'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    Project:<field name="project_id" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Task:<field name="custom_project_task_ids" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date <field name="write_date" /><br/>
                    Hours Spent <field name="total_spend_hours"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
                <div name="div_2" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Project', 'CRM'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    Helpdesk:<field name="name" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Ticket:<field name="subject" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date: <field name="write_date" /><br/>
                    Hours Spent: <field name="total_spend_hours"/><br/>
                    Category: <field name="ticket_category"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
                <div name="div_3" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Project', 'Helpdesk'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    CRM:<field name="subject" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Ticket Ref:<field name="subject" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date: <field name="write_date" /><br/>
                    Hours Spent: <field name="total_spend_hours"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
                              <div class="oe_clear"></div>
                            </div>
                        </t>
                    </templates>
                </kanban>
            </field>
        </record>

    <record id="helpdesk_category_inherited_category" model="ir.ui.view">
        <field name="name">helpdesk.category.inherited.type</field>
        <field name="model">helpdesk.support</field>
        <field name="inherit_id" ref="crm_custom.helpdesk_support_form_view_category"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='category']" position="replace">
                <field name="ticket_category"/>
            </xpath>
<!--            <xpath expr="//field[@name='category']" position="attributes">-->
<!--                <attribute name="invisible">True</attribute>-->
<!--            </xpath>-->
        </field>
    </record>

    <record id="helpdesk_support_action_category" model="ir.actions.act_window">
            <field name="name">Helpdesk Tickets</field>
            <field name="res_model">helpdesk.support</field>
            <field name="view_type">form</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="view_id" ref="helpdesk_view_kanban_category"/>
            <field name="context">{
                'search_default_ticket_category': [active_id],
                'default_ticket_category': active_id,
                'form_view_ref': 'crm_custom.helpdesk_support_form_view_category',
                'from_product':True
            }</field>

            <field name="help">Helpdesk Support Tree.</field>
        </record>



        <record id="helpdesk_support_search_view_inherited" model="ir.ui.view">
            <field name="name">Helpdesk.searched.view.inherited</field>
            <field name="model">helpdesk.support</field>
            <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_search_view"/>
              <field name="arch" type="xml">
                <xpath expr="//search" position="inside">
                  <field name="ticket_category"/>
                </xpath>
            </field>
        </record>


    <record model="ir.ui.view" id="view_ticket_category_kanban">
        <field name="name">ticket.category.kanban</field>
        <field name="model">ticket.category</field>
        <field name="arch" type="xml">
            <kanban class="oe_background_grey o_kanban_dashboard o_project_kanban o_emphasize_colors">
                <field name="name"/>
                <field name="ticket_count"/>

                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click o_has_icon">
                            <div class="o_project_kanban_main">
                                <div class="o_kanban_card_content">
                                    <div class="o_kanban_primary_left">
                                        <div class="o_primary">
                                            <span><t t-esc="record.name.value"/></span>
                                        </div>
                                    </div>
                                </div>

                                <div class="o_kanban_card_manage_pane dropdown-menu" role="menu">
                                        <div class="o_kanban_card_manage_section o_kanban_manage_reports">
                                            <div role="menuitem">
                                                <a type="edit">Edit</a>
                                            </div>
                                        </div>
                                    </div>
                            </div>

                            <div class="o_project_kanban_boxes">
                                <a class="o_project_kanban_box" name="%(crm_custom.helpdesk_support_action_category)d"
                                   type="action">
                                    <div>
                                        <span class="o_value"><t t-esc="record.ticket_count.value"/> Tickets</span>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>



     <record id="helpdesk_support_action" model="ir.actions.act_window">
            <field name="name">Helpdesk Tickets</field>
            <field name="res_model">helpdesk.support</field>
            <field name="view_type">form</field>
            <field name="view_mode">kanban,tree,form,pivot,graph</field>
<!--            <field name="view_id" ref="helpdesk_view_kanban_ticket"/>-->
            <field name="context">{
                'search_default_ticket_category': [active_id],
                'default_ticket_category': active_id,
            }</field>

            <field name="help">Helpdesk Support Tree.</field>
        </record>


        <record id="helpdesk_support_search_view_inherited" model="ir.ui.view">
            <field name="name">Helpdesk.searched.view.inherited</field>
            <field name="model">helpdesk.support</field>
            <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_search_view"/>
              <field name="arch" type="xml">
                <xpath expr="//search" position="inside">
                  <field name="ticket_category"/>
                </xpath>
            </field>
        </record>

    <menuitem id="ticket_category_menu" name="Ticket Category" action="crm_custom.ticket_category_action" parent="website_helpdesk_support_ticket.menu_helpdesk_configuration" sequence="2" groups="base.group_system"/>

</odoo>

